<?php
/**
 * About Section options
 *
 * @package Theme Palace
 * @subpackage Mega Tour
 * @since Mega Tour 1.0.0
 */

// Add About section
$wp_customize->add_section( 'mega_tour_about_section', array(
	'title'             => esc_html__( 'About Us','mega-tour' ),
	'description'       => esc_html__( 'About Us Section options.', 'mega-tour' ),
	'panel'             => 'mega_tour_front_page_panel',
) );

// About content enable control and setting
$wp_customize->add_setting( 'mega_tour_theme_options[about_section_enable]', array(
	'default'			=> 	$options['about_section_enable'],
	'sanitize_callback' => 'mega_tour_sanitize_switch_control',
) );

$wp_customize->add_control( new Mega_Tour_Switch_Control( $wp_customize, 'mega_tour_theme_options[about_section_enable]', array(
	'label'             => esc_html__( 'About Section Enable', 'mega-tour' ),
	'section'           => 'mega_tour_about_section',
	'on_off_label' 		=> mega_tour_switch_options(),
) ) );

$wp_customize->add_setting( 'mega_tour_theme_options[about_content_page]', array(
	'sanitize_callback' => 'mega_tour_sanitize_page',
) );

$wp_customize->add_control( new Mega_Tour_Dropdown_Chooser( $wp_customize, 'mega_tour_theme_options[about_content_page]', array(
	'label'             => esc_html__( 'Select Page', 'mega-tour' ),
	'section'           => 'mega_tour_about_section',
	'choices'			=> mega_tour_page_choices(),
	'active_callback'	=> 'mega_tour_is_about_section_enable',
) ) );
$wp_customize->add_setting( 'mega_tour_theme_options[about_btn_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['about_btn_title'],
	'transport'			=> 'postMessage',
	) );
	
	$wp_customize->add_control( 'mega_tour_theme_options[about_btn_title]', array(
	'label'           	=> esc_html__( 'Button Label', 'mega-tour' ),
	'section'        	=> 'mega_tour_about_section',
	'active_callback' 	=> 'mega_tour_is_about_section_enable',
	'type'				=> 'text',
	) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
$wp_customize->selective_refresh->add_partial( 'mega_tour_theme_options[about_btn_title]', array(
	'selector'            => '#about-us .wrapper .read-more a',
	'settings'            => 'mega_tour_theme_options[about_btn_title]',
	'container_inclusive' => false,
	'fallback_refresh'    => true,
	'render_callback'     => 'mega_tour_about_btn_title_partial',
	) );
}


