<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Mega Tour
 * @since Mega Tour 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'mega_tour_layout', array(
	'title'               => esc_html__('Layout','mega-tour'),
	'description'         => esc_html__( 'Layout section options.', 'mega-tour' ),
	'panel'               => 'mega_tour_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'mega_tour_theme_options[site_layout]', array(
	'sanitize_callback'   => 'mega_tour_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Mega_Tour_Custom_Radio_Image_Control ( $wp_customize, 'mega_tour_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'mega-tour' ),
	'section'             => 'mega_tour_layout',
	'choices'			  => mega_tour_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'mega_tour_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'mega_tour_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Mega_Tour_Custom_Radio_Image_Control ( $wp_customize, 'mega_tour_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'mega-tour' ),
	'section'             => 'mega_tour_layout',
	'choices'			  => mega_tour_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'mega_tour_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'mega_tour_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Mega_Tour_Custom_Radio_Image_Control ( $wp_customize, 'mega_tour_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'mega-tour' ),
	'section'             => 'mega_tour_layout',
	'choices'			  => mega_tour_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'mega_tour_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'mega_tour_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Mega_Tour_Custom_Radio_Image_Control( $wp_customize, 'mega_tour_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'mega-tour' ),
	'section'             => 'mega_tour_layout',
	'choices'			  => mega_tour_sidebar_position(),
) ) );