<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Mega Tour
 * @since Mega Tour 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'mega_tour_menu', array(
	'title'             => esc_html__('Header Menu','mega-tour'),
	'description'       => esc_html__( 'Header Menu options.', 'mega-tour' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'mega_tour_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'mega_tour_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Mega_Tour_Switch_Control( $wp_customize, 'mega_tour_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'mega-tour' ),
	'section'           => 'mega_tour_menu',
	'on_off_label' 		=> mega_tour_switch_options(),
) ) );